For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
            • GETList Transactions
              • GETList Order Metafields
              • POSTCreate Metafields
              • GETGet Metafield
              • PUTUpdate Metafield
              • DELDelete Metafield
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementOrder OperationsMetafields

Update Metafield

PUT
https://api.bigcommerce.com/stores/:store_hash/v3/orders/:order_id/metafields/:metafield_id
PUT
/stores/:store_hash/v3/orders/:order_id/metafields/:metafield_id
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v3/orders/1/metafields/1 \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "key": "Staff Name",
> "namespace": "Sales Department",
> "permission_set": "app_only",
> "value": "Ronaldo"
>}'
1{
2 "data": {
3 "permission_set": "app_only",
4 "date_created": "2022-06-16T18:39:00+00:00",
5 "date_modified": "2022-06-16T18:39:00+00:00",
6 "description": "order",
7 "id": 1,
8 "key": "Staff Name",
9 "namespace": "Sales Department",
10 "owner_client_id": "asdfasdfasdfasdfasdfasdfasdf",
11 "resource_id": 0,
12 "resource_type": "order",
13 "value": "Ronaldo"
14 },
15 "meta": {}
16}

Updates a Metafield object.

The maximum number of metafields allowed on each order, product, category, variant, or brand is 250 per client ID.

Was this page helpful?
Previous

Get Metafield

Next

Delete Metafield

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Order Transactions | read and modify `transactions` and `payment_methods` | `store_v2_transactions` | | Order Transactions | read `transactions` and `payment_methods` | `store_v2_transactions_read_only` | | Orders | read and modify `payment_methods` |`store_v2_orders`| | Orders | read `payment_methods` |`store_v2_orders_read_only`| ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

order_idintegerRequired

The ID of the Order to which the transactions belong.

metafield_idintegerRequired

The ID of the Metafield.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

A Metafield object.

keystringRequired1-64 characters

The name of the field, for example: location_id, color.

namespacestringRequired1-64 characters
Namespace for the metafield, for organizational purposes.
permission_setenumRequired

Determines the visibility and writeability of the field by other API consumers.

ValueDescription
app_onlyPrivate to the app that owns the field
readVisible to other API consumers
writeOpen for reading and writing by other API consumers
read_and_sf_accessVisible to other API consumers, including on storefront
write_and_sf_accessOpen for reading and writing by other API consumers, including on storefront
Allowed values:
valuestringRequired1-65535 characters

The value of the field, for example: 1, blue.

descriptionstringOptional0-255 characters
Description for the metafields.

Response

A metafield and metadata.
dataobject
Allows app partners to write custom data to various resources in the API.
metaobject
Response metadata.

Errors

400
Bad Request Error
404
Not Found Error

OAuth scopes

UI NamePermissionParameter
Order Transactionsread and modify transactions and payment_methodsstore_v2_transactions
Order Transactionsread transactions and payment_methodsstore_v2_transactions_read_only
Ordersread and modify payment_methodsstore_v2_orders
Ordersread payment_methodsstore_v2_orders_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.